### Function

# GimpUi prop_image_chooser_new

since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_prop_image_chooser_new (
      GObject* config,
      const gchar* property_name,
      const gchar* chooser_title
    )

#### Description [src]

Creates a `GimpImageChooser` controlled by the specified property.

Available since: 3.0

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of a `GimpImage` property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`chooser_title`

  Type: `const gchar*`

  Title for the poppable dialog.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `GimpImageChooser`.

The caller of the function takes ownership of the data, and is responsible for freeing it.